Skip to main content
PUT
Update report notification

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

write

Grants write access

Path Parameters

report_notification_token
string
required

Body

application/json

Update a ReportNotification.

title
string

The title of the ReportNotification.

cost_report_token
string

The CostReport token.

user_tokens
string[]

The Users that receive the notification.

recipient_emails
string[]

Email addresses that receive the notification. Must be organization users, on the account's SSO domain, or an approved third-party service address.

recipient_channels
string[]

The Slack or Microsoft Teams channels that receive the notification.

frequency
string

The frequency the ReportNotification is sent. Possible values: daily, weekly, monthly.

change
string

The type of change the ReportNotification is tracking. Possible values: percentage, dollars.

Response

ReportNotification model

token
string
required
title
string
required

The title of the ReportNotification.

Example:

"Acme Report Notification"

cost_report_token
string
required

The token for a CostReport the ReportNotification is applied to.

Example:

"rprt_abcd1234"

user_tokens
string[]
required

The tokens of organization users that receive the notification. Freeform SSO-domain and approved third-party emails are not included; see recipient_emails.

recipient_emails
string[]
required

The email addresses that receive the notification, including organization users, SSO-domain addresses, and approved third-party addresses.

recipient_channels
string[]
required

The Slack or Microsoft Teams channels that receive the notification.

frequency
enum<string>
required

The frequency the ReportNotification is sent.

Available options:
daily,
weekly,
monthly
Example:

"weekly"

change
enum<string>
required

The type of change the ReportNotification is tracking.

Available options:
percentage,
dollars
Example:

"percentage"